> ## Documentation Index
> Fetch the complete documentation index at: https://docs.7exchange.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Patch organization entity create



## OpenAPI

````yaml Customer patch /organization/entity/create/{organizationId}
openapi: 3.0.1
info:
  title: Customer
  version: 0.1.0
servers:
  - url: https://gateway.7exchange.io/customer/1.0.0
    description: Beta/Live
security:
  - default: []
paths:
  /organization/entity/create/{organizationId}:
    patch:
      operationId: patchOrganizationEntityCreateOrganizationid
      parameters:
        - name: organizationId
          in: path
          required: true
          schema:
            type: string
        - name: tenantId
          in: header
          required: true
          schema:
            type: string
        - name: token
          in: header
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EntityCreateRequest'
      responses:
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorPayload'
        default:
          description: Any Response
          content:
            '*/*':
              schema:
                description: Any type of entity body
components:
  schemas:
    EntityCreateRequest:
      type: object
      properties:
        shareholders:
          type: array
          items:
            $ref: '#/components/schemas/ShareholdersItem'
    ErrorPayload:
      type: object
      properties:
        reason:
          type: string
          description: Reason phrase
        path:
          type: string
          description: Request path
        method:
          type: string
          description: Method type of the request
        message:
          type: string
          description: Error message
        timestamp:
          type: string
          description: Timestamp of the error
        status:
          type: integer
          description: Relevant HTTP status code
          format: int32
    ShareholdersItem:
      type: object
      properties:
        type:
          type: string
          nullable: true
        responsibility:
          type: string
          nullable: true
        position:
          type: string
          nullable: true
        documentId:
          type: string
          nullable: true
        sharePercentage:
          type: integer
          format: int64
          nullable: true
        ultimatePercentage:
          type: integer
          format: int64
          nullable: true
        groupId:
          type: string
          nullable: true
        person:
          $ref: '#/components/schemas/OrganizationPerson'
        escallation:
          $ref: '#/components/schemas/Escallation'
        peers:
          $ref: '#/components/schemas/Peers'
    OrganizationPerson:
      type: object
      properties:
        firstName:
          $ref: '#/components/schemas/FirstName'
        lastName:
          $ref: '#/components/schemas/LastName'
        gender:
          type: string
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        placeOfBirth:
          type: string
          nullable: true
        nationality:
          type: string
          nullable: true
        pinCode:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        addressLineOne:
          type: string
          nullable: true
        addressLineTwo:
          type: string
          nullable: true
        telephoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/TelephoneNumbersItem'
        SecretQuestion:
          type: array
          items:
            $ref: '#/components/schemas/SecretQuestionItem'
    Escallation:
      type: object
      properties:
        firstName:
          $ref: '#/components/schemas/FirstName'
        lastName:
          $ref: '#/components/schemas/LastName'
        gender:
          type: string
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        placeOfBirth:
          type: string
          nullable: true
        nationality:
          type: string
          nullable: true
        pinCode:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        addressLineOne:
          type: string
          nullable: true
        addressLineTwo:
          type: string
          nullable: true
        telephoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/TelephoneNumbersItem'
        SecretQuestion:
          type: array
          items:
            $ref: '#/components/schemas/SecretQuestionItem'
    Peers:
      type: object
      properties:
        firstName:
          $ref: '#/components/schemas/FirstName'
        lastName:
          $ref: '#/components/schemas/LastName'
        gender:
          type: string
          nullable: true
        dateOfBirth:
          type: string
          nullable: true
        placeOfBirth:
          type: string
          nullable: true
        nationality:
          type: string
          nullable: true
        pinCode:
          type: string
          nullable: true
        password:
          type: string
          nullable: true
        email:
          type: string
          nullable: true
        postalCode:
          type: string
          nullable: true
        addressLineOne:
          type: string
          nullable: true
        addressLineTwo:
          type: string
          nullable: true
        telephoneNumbers:
          type: array
          items:
            $ref: '#/components/schemas/TelephoneNumbersItem'
        SecretQuestion:
          type: array
          items:
            $ref: '#/components/schemas/SecretQuestionItem'
    FirstName:
      type: object
      properties:
        name:
          type: string
          nullable: true
        order:
          type: integer
          format: int64
          nullable: true
        abbreviation:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        native:
          type: string
          nullable: true
        suffix:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
    LastName:
      type: object
      properties:
        name:
          type: string
          nullable: true
        order:
          type: integer
          format: int64
          nullable: true
        abbreviation:
          type: string
          nullable: true
        language:
          type: string
          nullable: true
        native:
          type: string
          nullable: true
        suffix:
          type: string
          nullable: true
        prefix:
          type: string
          nullable: true
    TelephoneNumbersItem:
      type: object
      properties:
        phoneType:
          type: string
          nullable: true
        operator:
          type: string
          nullable: true
        encoding:
          type: string
          nullable: true
        country:
          type: string
          nullable: true
        number:
          type: string
          nullable: true
        purpose:
          type: string
          nullable: true
    SecretQuestionItem:
      type: object
      properties:
        question:
          type: string
          nullable: true
        answer:
          type: string
          nullable: true
  securitySchemes:
    default:
      type: oauth2
      flows:
        implicit:
          authorizationUrl: https://test.com
          scopes: {}

````